INTERFACE
SUBROUTINE GPGRVCMUS(KPROMA,KD,KF,KFLEV,&
 & PRCORIC,PGNORDL,PGNORDM,PGNORDLCL,PGNORDMCL,PGNORDMCM,PRATATH,PRATATX,&
 & PUF,PVF,PUFL,PVFL,PDIVF,PVORF,&
 & PVCASRSF,PVCRSSAFL,PVCRSSAFM,&
 & PVCMUSFL,PVCMUSFM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KD
INTEGER(KIND=JPIM),INTENT(IN) :: KF
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORIC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDLCL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDMCL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDMCM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATH(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATX(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIVF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSAFM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVCMUSFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVCMUSFM(KPROMA,KFLEV)
END SUBROUTINE GPGRVCMUS
END INTERFACE
